Bug 1461162 - Inconsistencies in Access Control for Automation - Ansible feature
Inconsistencies in Access Control for Automation - Ansible feature
Status: ON_QA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.9.0
Assigned To: Harpreet Kataria
Landon LaSmith
: TestOnly, ZStream
Depends On:
Blocks: 1463321
  Show dependency treegraph
 
Reported: 2017-06-13 13:15 EDT by Jerome Marc
Modified: 2017-10-13 14:09 EDT (History)
7 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1463321 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Ansible


Attachments (Terms of Use)

  None (edit)
Description Jerome Marc 2017-06-13 13:15:15 EDT
Description of problem:
The Access Control screen to configure a role doesn't seem to accurately load the configuration when it comes to Automation > Ansible. I have been trying to configure a user / role with Ansible view only and can't get it to work, with strange behavior in this screen (config not loading up properly, etc).

Version-Release number of selected component (if applicable):
5.8.0.17.20170525183055_6317a22

How reproducible:
Always

Steps to Reproduce:
1. Create a user
2. Create a role
3. Try to configure Ansible with view only for this role

Actual results:
Impossible, the only way was to give the role view/edit access (e.g. user can add a repo).

Expected results:
We should be able to configure a role with view only access for Ansible.

Additional info:
Comment 3 Harpreet Kataria 2017-06-19 13:36:08 EDT
https://github.com/ManageIQ/manageiq-ui-classic/pull/1567
Comment 4 CFME Bot 2017-06-19 16:43:39 EDT
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/e21d98c4fb4228bb9eb5898d107f392cf80a4211

commit e21d98c4fb4228bb9eb5898d107f392cf80a4211
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Mon Jun 19 13:34:01 2017 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Mon Jun 19 13:34:01 2017 -0400

    Fixed parameters being passed in to rbac features check.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1461162

 app/presenters/menu/default_menu.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Note You need to log in before you can comment on or make changes to this bug.